%% Microscopy Image Browser Features
% Microscopy Image Browser is a high-performance software package for
% advanced image processing, segmentation and visualization of
% multidimentional (2D-4D) datasets. Microscopy Image Browser is written in
% MATLAB, but has a user friendly graphical interface that does not requre
% knowledge of MATLAB and can be used by a general audience without knowledge of programming.
%
% Please find a list of main features below
% 
% *Back to* <im_browser_product_page.html *Index*>
%
%% List of all features
%
% Please check <http://mib.helsinki.fi/features_all.html the list of all features page> for more detailed description and video examples
%
%
%% List of Key Features:
%%
% 
% * Works as a MATLAB program under Windows/Linux/MacOS MATLAB, or as a standalone application (Windows 64bit/MacOS/Linux)
% * Open source licensed under <im_browser_license.html#2 GPLv3 license> 
% * Compiled version is <im_browser_license.html#3 licensed for academic research> 
% * Extendable with custom plugins (<http://mib.helsinki.fi/tutorials_programming.html tutorials>)
% * Load/Import multiple image and video formats using standard and custom-made readers, <http://www.mathworks.com Bio-Formats (LOCI) reader>, 
% <http://www.openmicroscopy.org/site OMERO server>, and direct import from
% <http://fiji.sc/Fiji Fiji> and <http://www.bitplane.com Imaris>
% * Generation of multidimentional image stacks (3D/4D, width:height:color:depth:time)
% * Batch processing mode for automatization of image processing steps
% * Alignment of multi-dimensional stacks and images within these stacks
% * Brightness, contrast, gamma, image mode adjustments, resize, crop functions, rotate, etc
% * Semi-automatic/manual image segmentation with help of filters and interpolation in XY, XZ, or YZ planes
% * Train and predict datasets using deep convolutional neural networks
% * Quantification and statistics for 2D/3D objects
% * Export of images or models to MATLAB, <http://www.vsg3d.com/amira/overview Amira> , <http://bio3d.colorado.edu/imod/ IMOD>, <https://youtu.be/G6z0pM3xOIk STL>, TIF, <http://www.slicer.org/ NRRD for 3D Slicer>, <http://imagej.net/BigDataViewer Fiji BigDataViewer> formats
% * Direct 3D visualization using MATLAB isosurfaces and volume rendering, <http://fiji.sc/3D_Viewer Fiji 3D viewer>, and <http://www.bitplane.com/ Imaris>
% * Filtering of images with core MATLAB and custom functions
% * Log of performed actions 
% * Customizable Undo option
% * Customizable Keyboard shortcuts
% * Colorblind friendly default color modeling scheme
%
%% Scheme of Microscopy Image Browser
%
% The connection diagram that illustrates the available tools and layers for image processing, segmentation, and visualization. 
% This diagram showcases the workflow and interactions between different components in the software. 
%
% When working with opened images in Microscopy Image Browser, you have the flexibility to apply various filters 
% and adjustments using a range of standard and custom functions. These functions enable you to enhance 
% and modify the images according to your requirements.
%
% Furthermore, MIB provides options for segmenting the images using variety of manual, semi-automatic and automatic techniques, 
% including state of the art deep learning approaches.
%
% The connection diagram below helps you understand the relationships between the different tools and layers, 
% facilitating a seamless workflow for image processing and analysis.
%
%%
% 
% <<images/im_browser_scheme.jpg>>
% 
%
% *Back to* <im_browser_product_page.html *Index*>