%% Microscopy Image Browser Getting Started
%
% *Back to* <im_browser_product_page.html *Index*>
%% Brief description
% Rapid development of multidimensional microscopy imaging techniques in recent years has raised a number 
% of questions about effective image processing, visualization, and analysis of the obtained datasets.
%
% Most universities worldwide provide access to modern imaging techniques, allowing 
% researchers to easily obtain descriptive multidimensional datasets of their desired specimens.
% After acquisition, the datasets need to be analyzed, and often detailed analysis is impossible without 
% segmentation (creating a model) of objects of interest from the multidimensional data. Segmentation 
% is often the most time-consuming part of the image analysis routine. For example, properly segmenting 
% a single electron tomogram can take up to a month. The slowness of this process can be attributed to 
% two main factors: a limited variety of good software tools (even commercial ones) and a lack of 
% user-friendly segmentation algorithms that can facilitate the modeling. As a result, the amount 
% of collected data that is not properly processed is much higher than the amount of produced results. 
%
% To address this problem, we have developed Microscopy Image Browser (MIB), an open-source software 
% package that can be used for image processing, analysis, segmentation, and visualization of 
% multidimensional datasets. MIB is designed to work in both the MATLAB
% environment and as a stand-alone package.
%
% *Please note* that the distributed compiled version of MIB has been compiled using an academic license 
% of MATLAB. As a result, it is limited to academic research and also may
% not have all the features available in the full MATLAB version.
%
%% Starting the program
% 
% To install the program, please follow the steps described in the
% <im_browser_installation.html Installation section>.
% 
% To start Microscopy Image Browser, type the following command in the main MATLAB window:
% [class.codeinput]>> mib[/class]
% For detailed information on the functioning of the program, refer to the following links, especially the *User Guide* section.
% [br20]
%
%
%% Links
%
% * <im_browser_installation.html Installation>
% * <im_browser_system_requirements.html System requirements>
% * <im_browser_release_notes.html Release Notes>
% * <im_browser_features.html Features>
% * <im_browser_user_guide.html User Guide>
% * <im_browser_ack.html Acknowledgements>
% * <im_browser_troubleshooting.html Troubleshooting>
%
% *Back to* <im_browser_product_page.html *Index*>