%% Microscopy Image Browser License
%
% *Back to* <im_browser_product_page.html *Index*>
%%
% 
% <html>
% Developed during 2010-2023 by<br>
% Core developer:<br>
% Ilya Belevich<br>
% Developers:<br>
% Merja Joensuu, Darshan Kumar, Helena Vihinen and Eija Jokitalo<br><br>
% <i><a href="https://www.helsinki.fi/en/infrastructures/bioimaging/embi">Electron Microscopy Unit</a><br>
% Institute of Biotechnology<br>
% PO Box 56 (Viikinkaari 9)<br>
% 00014, University of Helsinki<br>
% Finland</i>
% <br><br>
% <h4>Microscopy Image Browser source code</h4>
% MIB in MATLAB source code form is licensed under the GNU General Public License (<a href="http://mib.helsinki.fi/GNU3_license.txt">GPLv3</a>), 
% see GPL license of Microscopy Image Browser source code section below.<br>
% <br>
% <h4>Microscopy Image Browser as standalone version</h4>
% The deployed application is governed by the <a href="http://mib.helsinki.fi/Matlab_MCR_license.txt">MathWorks MCR license</a> 
% and applicable parts of <a
% href="http://mib.helsinki.fi/Matlab_license.txt">The MathWorks, Inc.
% Software License Agreement</a>.<br>
% Please note that Microscopy Image Browser was compiled using an Academic license, and its distribution, made 
% by the Electron Microscopy Unit, University of Helsinki is intended only for non-commercial academic research purposes
% <br><br>
% </html>
%
%
%% License for Microscopy Image Browser source code
%
% <html>
% The source code of Microscopy Image Browser (MIB) is licensed under the <a href="https://www.gnu.org/licenses/gpl-3.0.html">
% GNU General Public License v3 (GPLv3)</a>.<br><br>
% By using MIB in <b>MATLAB source code form</b>, you agree to the terms of<br>
% <ul>
% <li>the GNU General Public License, version 3 (the license text is available below or here:
% <a href="https://www.gnu.org/licenses/gpl-3.0.en.html">https://www.gnu.org/licenses/gpl-3.0.en.html</a>)</li>
% <li>The external packages used by MIB are also subject to their respective licenses (see below)</a></li>
% <li>the following disclaimer:</li>
% <br>
% <span style="overflow:auto; width:auto; font-size:9pt;font-family:courier;">
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% <br>
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% <br>
% You should have received a copy of the GNU General Public License
% along with this program. If not, see <a href="https://www.gnu.org/licenses/"> https://www.gnu.org/licenses</a>.
% </span>
% </ul>
% <br>
% Microscopy Image Browser *.m-files are licensed under version 3 of the License, or (at your option) any later version,
% see the file <span class="code">MIB/licenses/LICENSE_MIB_for_MATLAB</span> or refer to the document below for details.<br>
% Initially, the software was licensed under GPLv2, but it has been upgraded to GPLv3 in order to comply with new external packages.
% <br>
% <p></p>
% <table>
% <tr>
% <td>
% Developed during 2010-2023 by<br>
% <b>Core developer:</b><br>
% Ilya Belevich<br>
% <b>Developers:</b><br>
% Merja Joensuu, Darshan Kumar, Helena Vihinen and Eija Jokitalo<br>
% </td>
% <td>
% <a href="http://www.biocenter.helsinki.fi/bi/em">Electron Microscopy Unit</a><br>
% Institute of Biotechnology<br>
% PO Box 56 (Viikinkaari 9)<br>
% 00014, University of Helsinki<br>
% Finland<br>
% </td>
% </tr>
% </table>
% <p></p>
% <span style="overflow:auto; width:auto; font-size:9pt;font-family:courier;">
% Microscopy Image Browser (MIB)<br>
% image segmentation and beyond<br>
% Copyright (c) 2010-2023<br>
% Ilya Belevich, Merja Joensuu, Darshan Kumar, Helena Vihinen and Eija Jokitalo<br>
% http://mib.helsinki.fi
% <br><br>
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% <br><br>
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <a href="https://www.gnu.org/licenses/"> https://www.gnu.org/licenses</a>
% <br><br>
% </span>
% <br>
% </html>
%
%% License for compiled application of Microscopy Image Browser
% <html>
% By using the deployed compiled, standalone version of Microscopy Image Browser (MIB), you agree to the following terms:
% <ul>
% <li>the disclaimer below</li>
% <li><a href="http://mib.helsinki.fi/Matlab_MCR_license.txt">the MATLAB Compiler Runtime (MCR) libraries license</a></li>
% <li>applicable parts of the MathWorks, Inc. <a href="http://mib.helsinki.fi/Matlab_license.txt">Software License Agreement</a></li>
% <li>The external packages used by MIB are also subject to their respective licenses (see below)</li>
% <li>Please note that Microscopy Image Browser was compiled using an Academic license, and its distribution, made
% by the Electron Microscopy Unit, University of Helsinki is intended only for non-commercial academic research purposes</li>
% </ul>
% The corresponding license files are also included into the MIB distribution
% under <code>MIB/licenses</code> directory.
% <br><br>
% <p></p>
% <table>
% <tr>
% <td>
% Developed during 2010-2023 by<br>
% <b>Core developer:</b><br>
% Ilya Belevich<br>
% <b>Developers:</b><br>
% Merja Joensuu, Darshan Kumar, Helena Vihinen and Eija Jokitalo<br>
% </td>
% <td>
% <a href="http://www.biocenter.helsinki.fi/bi/em">Electron Microscopy Unit</a><br>
% Institute of Biotechnology<br>
% PO Box 56 (Viikinkaari 9)<br>
% 00014, University of Helsinki<br>
% Finland<br>
% </td>
% </tr>
% </table>
% <p></p>
% <span style="overflow:auto; width:auto; font-size:9pt;font-family:courier;">
% Microscopy Image Browser (MIB)<br>
% image segmentation and beyond<br>
% Copyright (c) 2010-2023<br>
% Ilya Belevich, Merja Joensuu, Darshan Kumar, Helena Vihinen and Eija Jokitalo<br>
% http://mib.helsinki.fi
% <br>
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% <br>
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% <br>
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <a href="https://www.gnu.org/licenses/gpl-3.0.html"> https://www.gnu.org/licenses/gpl-3.0.html</a>.
% </span>
% </html>                    
%
%
%% EXTERNAL PACKAGES
% 
% Microscopy Image Browser as a bundle is licensed under the GPL, with exceptions for plugins and other components.  
% This section lists the license under which additional components are released. See also the <im_browser_ack.html Acknowledgements> section
%
% Abbreviations:
%
%
% * <https://www.apache.org/licenses/LICENSE-2.0 *Apache-2.0*>, Apache 2.0 license, GPLv3 compatible
% * <https://en.wikipedia.org/wiki/BSD_licenses#2-clause_license_.28.22Simplified_BSD_License.22_or_.22FreeBSD_License.22.29 *FreeBSD*>, Berkeley Software Distribution, 2-clause license, GPL compatible
% * <http://www.gnu.org/licenses/gpl-2.0.html *GPL2*>, GNU General Public License, version 2
% * <https://www.gnu.org/licenses/gpl-3.0.en.html *GPL3*>, GNU General Public License, version 3
% * <https://en.wikipedia.org/wiki/GNU_Lesser_General_Public_License *LGPL*>, GNU Lesser General Public License
% * <https://en.wikipedia.org/wiki/BSD_licenses#3-clause_license_.28.22Revised_BSD_License.22.2C_.22New_BSD_License.22.2C_or_.22Modified_BSD_License.22.29 *ModifiedBSD*>, Berkeley Software Distribution, 3-clause license, GPL compatible
% * <http://en.wikipedia.org/wiki/MIT_License *MIT*>, a free software license originating at the Massachusetts Institute of Technology, GPL compatible
% * <https://creativecommons.org/licenses/by-nd/3.0/ *CC BY-ND 3.0*>, Attribution-NoDerivs 3.0 Unported
% * *ND*, no data
% 
% <html>
% <table style="width: 800px; text-align: center;" cellspacing=2px cellpadding=2px >
% <tr style="font-weight: bold; background: #ff6600;">
%   <td>Name</td>
%   <td>Author(s)</td>
%   <td>Contact</td>
%   <td>License, Year</td>
%   <td>MIB<br>version</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Accurate Fast Marching</td>
%   <td>Dirk-Jan Kroon, University of Twente</td>
%   <td><a href="http://www.mathworks.se/matlabcentral/fileexchange/24531-accurate-fast-marching">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2011</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">ANISODIFF</td>
%   <td>Peter Kovesi</td>
%   <td><a href="http://www.peterkovesi.com/matlabfns/#anisodiff">web site</a></td>
%   <td>MIT,<br> 2000-2002</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Bio-Formats</td>
%   <td>Melissa Linkert, Curtis Rueden et al.</td>
%   <td><a href="http://loci.wisc.edu/software/bio-formats">web site</a></td>
%   <td>GPLv2,<br> 2002-2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">bwdistsc, 3D Euclidean distance transform for variable data aspect ratio</td>
%   <td>Yuriy Mishchenko, Toros University</td>
%   <td><a href="http://www.mathworks.se/matlabcentral/fileexchange/15455-3d-euclidean-distance-transform-for-variable-data-aspect-ratio">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2007-2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
% <td style="font-weight: bold">Custom GINPUT</td>
% <td>Jiro Doke, MathWorks
% <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/38703-custom-ginput">via MATLAB Exchange</a></td>
% <td>ModifiedBSD,<br>2016</td>
% <td>2.82-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Cell migration in scratch wound assays</td>
%   <td>Constantino Carlos Reyes-Aldasoro, City, University of London</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/67932-cell-migration-in-scratch-wound-assays">via MATLAB Exchange</a></td>
%   <td>GPLv3,<br> 2018</td>
%   <td>2.65-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">DnD_uifigure: drag & drop functionality for AppDesigner components</td>
%   <td>Xiangrui Li<br>
%   The Ohio State University</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/80656-uifilednd">via MATLAB Exchange</a></td>
%   <td>MIT,<br> 2020-2023</td>
%   <td>2.90-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Drag & Drop functionality for JAVA GUI components</td>
%   <td>Maarten van der Seijs<br>
%   Delft University of Technology, the Netherlands</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/53511-drag-drop-functionality-for-java-gui-components">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2015</td>
%   <td>2.61-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">DrawRegionBoundaries</td>
%   <td>Peter Kovesi<br>
%   Centre for Exploration Targeting, School of Earth and Environment, The
%   University of Western Australia</td>
%   <td><a href="http://www.peterkovesi.com/projects/segmentation/">author's website</a></td>
%   <td>MIT,<br> 2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">drifty_shifty_deluxe</td>
%   <td>Joshua D. Sugar<br>
%   Sandia National Laboratories, Livermore, CA</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/45453-drifty-shifty-deluxe-m">via MATLAB Exchange</a></td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/view_license?file_info_id=45453">Custom</a>,<br> 2014</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Export_fig</td>
%   <td>Oliver Woodford and Yair Altman</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/23629-export-fig">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br>2014-2015</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Extrema functions</td>
%   <td>Carlos Adrian Vargas Aguilera, Universidad de Guadalajara</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/12275-extrema-m-extrema2-m">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2006-2007</td>
%   <td>0.x-1.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Fast 3D/2D Region Growing (MEX)</td>
%   <td>Christian Wuerslin, Stanford University</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/41666-fast-3d-2d-region-growing--mex-">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br> 2013-2015</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Fast/Robust Template Matching
%              <div style="font-weight: normal;">used in MIB 1.22 and earlier</div>
%   </td>
%   <td>Dirk-Jan Kroon, University of Twente</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/24925-fastrobust-template-matching">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2009-2011</td>
%   <td>0.x-1.22</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">FindJObj - find java handles of MATLAB graphic objects</td>
%   <td>Yair Altman</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/14317-findjobj-find-java-handles-of-matlab-graphic-objects">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2007-2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">fstack - extended depth-of-field image</td>
%   <td>Said Pertuz, Universitat Rovira i Virgili, Tarragona, Spain</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/55115-extended-depth-of-field">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br> 2013</td>
%   <td>2.51-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Hardware accelerated 3D viewer for MATLAB</td>
%   <td>Jean-Yves Tinevez, Institut Pasteur</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/32344-hardware-accelerated-3d-viewer-for-matlab">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2011</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Hessian based Frangi Vesselness filter</td>
%   <td>Marc Schrijver and Dirk-Jan Kroon, University of Twente</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/24409-hessian-based-frangi-vesselness-filter">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2001-2009</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Highly portable JSON-input parser</td>
%   <td>Nedialko</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/25713-highly-portable-json-input-parser">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2009</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">HistThresh toolbox</td>
%   <td>Antti Niemist&ouml;, Tampere University of Technology, Finland</td>
%   <td><a href="https://github.com/carandraug/histthresh">GitHub</a></td>
%   <td>GPLv3,<br>2014</td>
%   <td>2.51 - </td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">IceImarisConnector</td>
%   <td>Aaron C. Ponti, ETH Zurich</td>
%   <td><a href="http://www.scs2.net/next/index.php?id=110">web link</a></td>
%   <td>GPLv2,<br> 2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Image Edge Enhancing Coherence Filter</td>
%   <td>Dirk-Jan Kroon, Pascal Getreuer University of Twente</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/25449-image-edge-enhancing-coherence-filter-toolbox">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2009</td>
%   <td>0.x-1.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Image Measurement Utility</td>
%   <td>Jan Neggers, Eindhoven Univeristy of Technology</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/25964-image-measurement-utility">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2009-2014</td>
%   <td>1.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">ImageViewer</td>
%   <td>Jiro Doke, Mathworks</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/13000-imageviewer">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br> 2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">ImClipboard</td>
%   <td>Jiro Doke, MathWorks</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/28708-imclipboard">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br> 2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">ImGaussian</td>
%   <td>Dirk-Jan Kroon, University of Twente</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/25397-imgaussian">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2009</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Local Normalization</td>
%   <td>Guanglei Xiong at Tsinghua University, Beijing</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/8303-local-normalization">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2005</td>
%   <td>0.x-1.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">MatGeom</td>
%   <td>David Legland, INRA, France</td>
%   <td><a href="https://github.com/mattools/matGeom">GitHub</a></td>
%   <td>FreeBSD,<br> 2011-</td>
%   <td>2.3-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">MatTomo, a part of PEET</td>
%   <td>Boulder Laboratory for 3-D Electron Microscopy of Cells</td>
%   <td><a href="http://bio3d.colorado.edu/PEET/index.html">web site</a></td>
%   <td>GPLv2,<br> 2006-2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">MAXFLOW/MINCUT algorithm v2.22</td>
%   <td>Yuri Boykov, University of Western Ontario and Vladimir Kolmogorov, Microsoft research, Cambridge</td>
%   <td><a href="http://pub.ist.ac.at/~vnk/software.html">web site</a></td>
%   <td>GPLv2,<br> 2001-2014</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">MAXFLOW/MINCUT MATLAB wrapper</td>
%   <td>Michael Rubinstein, Google</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/21310-maxflow">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2008</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Membrane detection with Random Forest</td>
%   <td>Verena Kaynig, Harvard School of Engineering and Applied Sciences</td>
%   <td><a href="http://www.kaynig.de/demos.html">web link</a></td>
%   <td>GPLv2,<br>2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">MIJ: Running ImageJ and Fiji within MATLAB</td>
%   <td>Daniel Sage, Dimiter Prodanov, Jean-Yves Tinevez and Johannes Schindelin, EPFL Lausanne</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/47545-mij-running-imagej-and-fiji-within-matlab">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br>2012-2017</td>
%   <td>2.6-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">MTOC++</td>
%   <td>Martin Drohmann (Universit?t M?nster), Daniel Wirtz (Universit?t Stuttgart)</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/33826-mtoc++-doxygen-filter-for-matlab-and-tools">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2011-2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">NRRD Format File Reader</td>
%   <td>Jeff Mather, the MathWorks, Inc.</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/34653-nrrd-format-file-reader">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br>2012</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">NRRD NHDR reader and writer</td>
%   <td> Gaetan Rensonnet, Ecole polytechnique federale de Lausanne and Universite catholique de Louvain</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/66645-nrrd-nhdr-reader-and-writer">via MATLAB Exchange</a></td>
%   <td><a href="http://mib.helsinki.fi/help/NRRD NHDR reader and writer_license.txt">CustomBSD</a><br>2018</td>
%   <td>2.7-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">OMERO MATLAB bindings</td>
%   <td>The Open Microscopy Environment</td>
%   <td><a href="https://www.openmicroscopy.org/omero/">OME website</a></td>
%   <td>GPLv2,<br>2019</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Patch Normals</td>
%   <td>Dirk-Jan Kroon, University of Twente</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/24330-patch-normals">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2009</td>
%   <td>2.22-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Prettify MATLAB html</td>
%   <td>Harry Dymond, University of Bristol</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/78059-prettify-matlab-html">via MATLAB Exchange</a></td>
%   <td>ModifiedBSD,<br>2020</td>
%   <td>2.83-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Projects:MATLABSlicerExampleModule, to read NRRD format</td>
%   <td>John Melonakos</td>
%   <td><a href="http://www.na-mic.org/Wiki/index.php/Projects:MATLABSlicerExampleModule">web link</a></td>
%   <td>GPLv2,<br>2012</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Random Forest MATLAB</td>
%   <td>Abhishek Jaiantilal</td>
%   <td><a href="https://code.google.com/p/randomforest-matlab/">web link</a></td>
%   <td>GPLv2,<br> 2012</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Region Adjacency Graph (RAG)</td>
%   <td>David Legland, INRA, France</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/16938-region-adjacency-graph--rag-">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2007-2013</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">RegionProps3</td>
%   <td>Chaoyuan Yeh</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/authors/393471">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2014</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Render</td>
%   <td>Dirk-Jan Kroon, Focal Machine Vision en Optical Systems</td>
%   <td><a href="http://se.mathworks.com/matlabcentral/fileexchange/21993-viewer3d">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2008-2011</td>
%   <td>1.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Render RGB text over RGB or Grayscale Image</td>
%   <td>Davide Di Gloria, Universita di Genova</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/26940-render-rgb-text-over-rgb-or-grayscale-image">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Segment-anything, models</td>
%   <td>Kirillov A, Mintun E, Ravi N, Mao H, Rolland C, Gustafson L, Xiao T, Whitehead S, Berg AC, Lo W-Y, Dollar P, Girshick R, Meta AI</td>
%   <td><a href="https://segment-anything.com">web-site</a></td>
%   <td>Apache-2.0,<br> 2023</td>
%   <td>2.90-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Segment-anything for Microscopy, models</td>
%   <td>Archit A, Nair S, Khalid N, Hilt P, Rajashekar V, Freitag M, Gupta S, Dengel A, Ahmed S, Pape C</td>
%   <td><a href="https://github.com/computational-cell-analytics/micro-sam">GitHub</a></td>
%   <td>MIT,<br> 2023</td>
%   <td>2.90-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">SLIC (Simple Linear Iterative Clustering)</td>
%   <td>Radhakrishna Achanta, Appu Shaji, Kevin Smith, Aurelien Lucchi, 
% Pascal Fua, and Sabine Susstrunk<br>Ecole Polytechnique Federale de
% Lausanne (EPFL), Switzerland</td>
%   <td><a href="https://www.epfl.ch/labs/ivrl/research/slic-superpixels">authors' website</a></td>
%   <td>ModifiedBSD,<br> 2015</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">STLWRITE</td>
%   <td>Sven Holcombe, University of Michigan</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/20922-stlwrite-filename--varargin-">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2008-2015</td>
%   <td>1.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">STRUCT2XML</td>
%   <td>Wouter Falkena, Delft University of Technology</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/28639-struct2xml">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
% <td style="font-weight: bold">TEEM.DLL for MATLABSlicerExampleModule</td>
%   <td>Gordon Kindlmann</td>
%   <td><a href="https://teem.sourceforge.net">authors' website</a></td>
%   <td>LGPL plus  static linking exception<br>2012</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">UIGETFILE_N_DIR</td>
%   <td>Tiago / Peugas</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/32555-uigetfile_n_dir-select-multiple-files-and-directories">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2011</td>
%   <td>2.6-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">VIEW3D</td>
%   <td>Torsten Vogel</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/334-view3d-m">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 1999</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">VIOLIN</td>
%   <td>Holger Hoffmann</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/45134-violin-plot">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br>2015</td>
%   <td>2.65-</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">VTKPNG.DLL for MATLABSlicerExampleModule</td>
%   <td>Ken Martin, Will Schroeder, Bill Lorensen</td>
%   <td><a href="https://vtk.org/about/">authors' website</a></td>
%   <td>ModifiedBSD<br>2012</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">XLWRITE: Generate XLS(X) files without Excel on Mac/Linux/Win</td>
%   <td>Alec de Zegher, NV Bekaert SA</td>
%   <td><a href="https://se.mathworks.com/matlabcentral/fileexchange/38591-xlwrite--generate-xls-x--files-without-excel-on-mac-linux-win">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2013</td>
%   <td>2.1-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">XLSWRITE (improved)</td>
%   <td>Barry Dillon, AON Insurance Brokers</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/27236-improved-xlswrite-m">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">XML2STRUCT</td>
%   <td>Wouter Falkena, Delft University of Technology</td>
%   <td><a href="http://www.mathworks.com/matlabcentral/fileexchange/28518-xml2struct">via MATLAB Exchange</a></td>
%   <td>FreeBSD,<br> 2010</td>
%   <td>0.x-2.x</td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold"></td>
%   <td></td>
%   <td></td>
%   <td></td>
%   <td></td>
% </tr>
% <tr style="">
%   <td style="font-weight: bold">Some icons</td>
%   <td>Icons8.com</td>
%   <td><a href="https://icons8.com">website</a></td>
%   <td>CC BY-ND 3.0,<br> 2018</td>
%   <td>2.22-</td>
% </tr>
% </table>
% </html>
%
%% HOW TO CITE
%
%%
% <html>
% In November 2015 paper describing Microscopy Image Browser was accepted for publication in PLOS Biology, 
% please cite it whenever referring to the software (the reference will be updated as soon as the article is published):
% <br><br>
% <b>
% Microscopy Image Browser: A platform for segmentation and analysis of
% multidimensional datasets<br>
% I. Belevich, M. Joensuu, D. Kumar, H. Vihinen and E. Jokitalo<br>
% PLOS Biology, PLoS Biology 2016 Jan 4;14(1):e1002340. doi: 10.1371/journal.pbio.1002340<br>
% <http://journals.plos.org/plosbiology/article?id=10.1371/journal.pbio.1002340 Link to the article>
% <br></b>
% We appreciate if you let us know by email (ilya.belevich -=@=- helsinki.fi) when you cite MIB. This helps us to develop and maintain the program.
% </html>
%
% *Back to* <im_browser_product_page.html *Index*>
%
%
% [cssClasses]
% .dropdown { 
%   font-family: monospace;
% 	border: 1px solid #aaa; 
% 	border-radius: 0.2em; 
% 	background-color: #fff; 
% 	background-color: #e0f5ff; 
% 	background-color: #e8f5e8; 
% 	padding: 0.1em 0.4em; 
% 	font-family: inherit; 
% 	font-size: 1em;
% }
% .kbd { 
%   font-family: monospace;
% 	border: 1px solid #aaa; 
% 	-moz-border-radius: 0.2em; 
% 	-webkit-border-radius: 0.2em; 
% 	border-radius: 0.2em; 
% 	-moz-box-shadow: 0.1em 0.2em 0.2em #ddd; 
% 	-webkit-box-shadow: 0.1em 0.2em 0.2em #ddd; 
% 	box-shadow: 0.1em 0.2em 0.2em #ddd; 
% 	background-color: #f9f9f9; 
% 	background-image: -moz-linear-gradient(top, #eee, #f9f9f9, #eee); 
% 	background-image: -o-linear-gradient(top, #eee, #f9f9f9, #eee); 
% 	background-image: -webkit-linear-gradient(top, #eee, #f9f9f9, #eee); 
% 	background-image: linear-gradient(&#91;&#91;:Template:Linear-gradient/legacy]], #eee, #f9f9f9, #eee); 
% 	padding: 0.1em 0.4em; 
% 	font-family: inherit; 
% 	font-size: 1em;
% }
% .h3 {
% color: #E65100;
% font-size: 12px;
% font-weight: bold;
% }
% .code {
% font-family: monospace;
% font-size: 10pt;
% background: #eee;
% padding: 1pt 3pt;
% }
% [/cssClasses]
%
% <html>
% <script>
%   var allDetails = document.getElementsByTagName('details');
%   toggle_details(0);
% </script>
% </html>